Vector BLF: Vector::BLF::AbstractFile Struct Reference

Vector BLF

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Vector::BLF::AbstractFile Struct Referenceabstract

`#include <AbstractFile.h>`

Inheritance diagram for Vector::BLF::AbstractFile:

## Public Member Functions
| AbstractFile (const AbstractFile &)=default
AbstractFile & | operator= (const AbstractFile &)=default
| AbstractFile (AbstractFile &&)=default
AbstractFile & | operator= (AbstractFile &&)=default
virtual std::streamsize | gcount () const =0
virtual void | read (char *s, std::streamsize n)=0
virtual std::streampos | tellg ()=0
virtual void | seekg (std::streamoff off, const std::ios_base::seekdir way=std::ios_base::cur)=0
virtual void | write (const char *s, std::streamsize n)=0
virtual std::streampos | tellp ()=0
virtual bool | good () const =0
virtual bool | eof () const =0
virtual void | skipp (std::streamsize s) final

## Detailed Description

Generic interface to access CompressedFile and UncompressedFile in the same way.

## Member Function Documentation

## ◆ eof()

virtual bool Vector::BLF::AbstractFile::eof | ( |  | ) | const
| pure virtual

Check whether eofbit is set.

Returns
  true if eofbit is set

Implemented in Vector::BLF::CompressedFile, and Vector::BLF::UncompressedFile.

## ◆ gcount()

virtual std::streamsize Vector::BLF::AbstractFile::gcount | ( |  | ) | const
| pure virtual

Get characters returned by last read operation.

Returns
  Number of characters

Implemented in Vector::BLF::CompressedFile, and Vector::BLF::UncompressedFile.

## ◆ good()

virtual bool Vector::BLF::AbstractFile::good | ( |  | ) | const
| pure virtual

Check whether state of stream is good.

Returns
  true if no error flags are set

Implemented in Vector::BLF::CompressedFile, and Vector::BLF::UncompressedFile.

## ◆ read()

virtual void Vector::BLF::AbstractFile::read | ( | char * | s,
|  | std::streamsize | n
| ) |  |
| pure virtual

Read block of data.

This operation blocks until the data is available.

Parameters

  [out] | s | Pointer to data
  [in] | n | Requested size of data

Implemented in Vector::BLF::CompressedFile, and Vector::BLF::UncompressedFile.

## ◆ seekg()

virtual void Vector::BLF::AbstractFile::seekg | ( | std::streamoff | off,
|  | const std::ios_base::seekdir | way = `std::ios_base::cur`
| ) |  |
| pure virtual

Set position in input sequence.

Parameters

  [in] | off | Offset
  [in] | way | Direction

Implemented in Vector::BLF::CompressedFile, and Vector::BLF::UncompressedFile.

## ◆ skipp()

void Vector::BLF::AbstractFile::skipp | ( | std::streamsize | s | ) |
| finalvirtual

Write padding null bytes.

Parameters

  s | Number of padding bytes.

## ◆ tellg()

virtual std::streampos Vector::BLF::AbstractFile::tellg | ( |  | ) |
| pure virtual

Get position in input sequence.

Returns
  Read position

Implemented in Vector::BLF::CompressedFile, and Vector::BLF::UncompressedFile.

## ◆ tellp()

virtual std::streampos Vector::BLF::AbstractFile::tellp | ( |  | ) |
| pure virtual

Get position in output sequence.

Returns
  Write position

Implemented in Vector::BLF::CompressedFile, and Vector::BLF::UncompressedFile.

## ◆ write()

virtual void Vector::BLF::AbstractFile::write | ( | const char * | s,
|  | std::streamsize | n
| ) |  |
| pure virtual

Write block of data.

Parameters

  [in] | s | Pointer to data
  [in] | n | Size of data

Implemented in Vector::BLF::CompressedFile, and Vector::BLF::UncompressedFile.

The documentation for this struct was generated from the following files:

- AbstractFile.h
- AbstractFile.cpp